#include "..\avisynth.h"

AVSValue __cdecl Create_VideoScope(AVSValue args, void* user_data, IScriptEnvironment* env);
AVSValue __cdecl Create_StackVert(AVSValue args, void* user_data, IScriptEnvironment* env);
AVSValue __cdecl Create_ShowDelta(AVSValue args, void* user_data, IScriptEnvironment* env);
//AVSValue __cdecl Create_DeltaThresh(AVSValue args, void* user_data, IScriptEnvironment* env);

extern "C" __declspec(dllexport) const char* __stdcall AvisynthPluginInit(IScriptEnvironment* env)
{
  env->AddFunction("VideoScope", "c[DrawMode]s[TickMarks]b[HistoTypeSide]s[HistoTypeBottom]s[FrameType]s", Create_VideoScope, 0);
  env->AddFunction("StackVert", "cc", Create_StackVert, 0);
  env->AddFunction("ShowDelta", "c", Create_ShowDelta, 0);
//  env->AddFunction("DeltaThresh", "cii", Create_DeltaThresh, 0);

  return 0;
}
